Return the trusted compiled harness registry
curl --request GET \
--url https://harness.example.com/harness-metadata \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/harness-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/harness-metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contract_version": 123,
"harnesses": [
{
"key": "<string>",
"aliases": [
"<string>"
],
"label": "<string>",
"description": "<string>",
"binary_names": [
"<string>"
],
"install_command_template": "<string>",
"capabilities": [
"<string>"
],
"component_rules": {
"agents_require_plugin": true,
"hooks_require_plugin": true,
"hooks_as_plugin_modules": true
},
"generations": [
{
"profile": "<string>",
"introduced": "<string>",
"verified_before": "<string>",
"lifecycle": "supported",
"capabilities": [
"<string>"
],
"component_rules": {
"agents_require_plugin": true,
"hooks_require_plugin": true,
"hooks_as_plugin_modules": true
},
"before": "<string>"
}
]
}
]
}Configuration
Return the trusted compiled harness registry
GET
/
harness-metadata
Return the trusted compiled harness registry
curl --request GET \
--url https://harness.example.com/harness-metadata \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/harness-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/harness-metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"contract_version": 123,
"harnesses": [
{
"key": "<string>",
"aliases": [
"<string>"
],
"label": "<string>",
"description": "<string>",
"binary_names": [
"<string>"
],
"install_command_template": "<string>",
"capabilities": [
"<string>"
],
"component_rules": {
"agents_require_plugin": true,
"hooks_require_plugin": true,
"hooks_as_plugin_modules": true
},
"generations": [
{
"profile": "<string>",
"introduced": "<string>",
"verified_before": "<string>",
"lifecycle": "supported",
"capabilities": [
"<string>"
],
"component_rules": {
"agents_require_plugin": true,
"hooks_require_plugin": true,
"hooks_as_plugin_modules": true
},
"before": "<string>"
}
]
}
]
}Authorizations
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
